package com.hai.order.service;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighOrder;

/**
 * 订单支付成功业务
 * @className: OrderPaySuccessService
 * @author: HuRui
 * @date: 2022/8/29
 **/
public interface OrderPaySuccessService {

    /**
     * 卡券业务
     * @param childOrder
     */
    void couponHandle(HighOrder order,HighChildOrder childOrder) throws Exception;

    /**
     * 积分充值
     * @param childOrder
     */
    void integralRecharge(HighOrder order,HighChildOrder childOrder);

}
